import { ReportPreference } from '@bringg/types';
import Entity from '../../Core/Entity';
import Session from '../../Services/Identity/Session';
import { GetResponse } from '../ReportPreference.consts';
export default class ReportPreferenceEntity extends Entity<ReportPreference> {
    constructor(session: Session);
    upsert(reportPreference: Partial<ReportPreference>): Promise<GetResponse>;
}
